%define oname	wbfs_gtk

Name:		wbfs-manager
Version:	0.1.12
Release:	%mkrel 3
Summary:	A WBFS manager for Linux using GTK+
Summary(fr_FR):	Un gestionnaire WBFS pour Linux utilisant GTK+
License:	GPLv2
Group:		System/Kernel and hardware
Url:		http://code.google.com/p/linux-wbfs-manager/
Source0:	http://linux-wbfs-manager.googlecode.com/files/linux-%{name}-%{version}.tar.gz
Source1:	wbfs-gtk.desktop
Patch1:		wbfs-manager.patch

BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	desktop-file-utils

Requires:	usermode

%description
This is yet another graphic WBFS (Wii Backup File System) manager 
for Linux. It uses libwbfs from Kwiirk and Caristat 
(available from the authors at 
http://github.com/kwiirk/wbfs/tree/master). 

%description -l fr_FR
C'est encore un autre gestionnaire graphique WBFS 
(Wii System File Backup) pour Linux. 
Il utilise libwbfs de Kwiirk et Caristat
(disponible auprès des auteurs à 
http://github.com/kwiirk/wbfs/tree/master).

%prep
%setup -q -n linux-%{name}
%patch1 -p1

%build
%make

%install
mkdir -p %{buildroot}%{_sbindir} %{buildroot}%{_datadir}/%{name}
cp -p wbfs_gtk %{buildroot}%{_sbindir}
cp -p wbfs_gui.glade %{buildroot}%{_datadir}/%{name}

# Desktop file
desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications \
  %{SOURCE1}
 
# Copying icons
for png in 64x64 32x32 16x16; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/${png}/apps
done  
cp -p wbfs_gtk-16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{oname}.png
cp -p wbfs_gtk-32.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{oname}.png
cp -p wbfs_gtk-64.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{oname}.png

# Adjust for console-helper magic
mkdir -p %{buildroot}%{_bindir}
pushd %{buildroot}%{_bindir}
ln -s consolehelper %{oname}
popd 

%files
%doc README
%{_bindir}/%{oname}
%{_sbindir}/%{oname}
%{_datadir}/%{name}/
%{_datadir}/applications/wbfs-gtk.desktop
%{_iconsdir}/hicolor/*/*/%{oname}.png


%changelog
* Sun Jan 05 2014 david.david (MLO Team) <david.david> 0.1.12-3.mga4
+ Rebuild package for Mageia 4 (Core\MLO)
- version: 0.1.12
- fix Requires "usermode" package
- add french language in %%description and %%Summary

* Sun Aug 11 2013 david.david (MLO Team) <david.david> 0.1.12-2.mga3
+ Rebuild package for Mageia 3 (Core)
- use correct macro
- fix use pkgconfig for BR
- add a consolehelper symlink to wbfs_gtk
- add oname

* Sun Apr 28 2013 david.david (MLO Team) <david.david> 0.1.12-1.mga3
+ Rebuild package for Mageia 3 (Core)
- Import package from Fedora
- Icons added
- clean "spec" file
- new version: 0.1.12
